%global debug_package   %{nil}
%global import_path     github.com/smarterclayton/go-systemd
%global gopath          %{_datadir}/gocode
%global commit          5cb9e9e37fe45e3e57b29546055af9b369a4d18a
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-github-smarterclayton-go-systemd
Version:        0
Release:        0.4.git%{shortcommit}%{?dist}
Summary:        Go bindings to systemd D-BUS APIs
License:        ASL 2.0
URL:            http://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/go-systemd-%{shortcommit}.tar.gz
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}

%package devel
#Needed for go test
#BuildRequires:  golang(github.com/guelfey/go.dbus)
Requires:       golang(github.com/guelfey/go.dbus)
Requires:       golang
Summary:        Go bindings to systemd D-BUS APIs
Provides:       golang(%{import_path}/dbus) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for building other packages
which use smarterclayton/go-systemd.

%prep
%setup -n go-systemd-%{commit}

%build

%install
rm -rf account activation examples fixtures journal test
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/dbus
cp -av dbus %{buildroot}/%{gopath}/src/%{import_path}

%check
#FIXME
#GOPATH=%{gopath}:%{buildroot}/%{gopath} go test %{import_path}/dbus

%files devel
%doc LICENSE README.md
%dir %attr(755,root,root) %{gopath}
%dir %attr(755,root,root) %{gopath}/src
%dir %attr(755,root,root) %{gopath}/src/github.com
%dir %attr(755,root,root) %{gopath}/src/github.com/smarterclayton
%dir %attr(755,root,root) %{gopath}/src/%{import_path}
%dir %attr(755,root,root) %{gopath}/src/%{import_path}/dbus
%{gopath}/src/%{import_path}/dbus/*.go

%changelog
* Wed Mar 26 2014 Lokesh Mandvekar <lsm5@redhat.com> 0-0.4.git
- summary update

* Tue Mar 25 2014 Lokesh Mandvekar <lsm5@redhat.com> 0-0.3.git
- rm dirs excluded from package

* Tue Mar 25 2014 Lokesh Mandvekar <lsm5@redhat.com> 0-0.2.git
- only provide go-systemd/dbus for now

* Tue Mar 25 2014 Lokesh Mandvekar <lsm5@redhat.com> 0-0.1.git
- Initial fedora package
